Page MenuHomePhabricator

Understanding the effect of talk-page interactions
Open, HighPublic

Description

Aim:
The aim of this project is to better understand the effect of interactions taking place on talk pages in order to improve the platform.

Specific questions (these should be refined with editing):

  • What are contributors doing after visiting/interacting on talk pages?
  • Do interactions on talk pages increase or decrease contributions to edits on articles?
  • Are interactions on user and article talk pages different? How are they connected?
  • For wikipedias with fewer contributors, is the interaction on talk pages higher?

Parameters:

  • we will investigate several wikipedias of different sizes (small, medium, large)
  • consider all editors; at later stage it might be interesting to consider especially junior editors (== fewer than 100 edits)
  • TO ADD: timespan: days/weeks/months ?

What

  • Look at editing patterns DataLake-Edits.
    • Construct markov chain of edit activity on the level of namespaces
    • what are the most likely transitions?
  • Look at reading patterns in webrequest-logs
    • which pages (in terms of their namespace) are visited in sessions that involve edit attempts

Note/Background:
This project is part of Martin's onboarding to the research team.
It is done in collaboration with Peter Pelberg from the Editing Team.
The motivation is thus two-fold:

  • @MGerlach becomes familiar with data infrastructure at wikimedia
  • @MGerlach works collaboratively with another department to become familiar with their questions/processes.

Event Timeline

MGerlach created this task.Oct 8 2019, 8:26 AM
MGerlach moved this task from Staged to In Progress on the Research board.
MGerlach triaged this task as High priority.Oct 8 2019, 8:28 AM
MGerlach updated the task description. (Show Details)Oct 11 2019, 1:42 PM
ppelberg added subscribers: MNeisler, iamjessklein.
ppelberg added a subscriber: ppelberg.
MGerlach closed this task as Resolved.Nov 6 2019, 4:42 PM
Status update 2019-11-04

Finally getting around to do some exploratory analysis.
I look at the following question:
Does a user, who interacts on a talk-page (via an edit), also contributes more edits to article-pages?
In short: For users with few edits, any additional interaction on a talk-page translates into a disproportionally large increase in the number of edits to article-pages. This suggests a crucial role of talk-page interactions for activity (and perhaps even productivity) on article-pages.

Replicated for 3 wikis (enwiki,dewiki,frwiki) for all edits from 2018.

Detailed description on meta:
https://meta.wikimedia.org/wiki/Research:Usage_of_talk_pages/2019-11-04

Project-page: https://meta.wikimedia.org/wiki/Research:Usage_of_talk_pages

MGerlach reopened this task as Open.Nov 6 2019, 4:42 PM

Status Update 2019-11-18

Only considering the first 90 days of all editors that registered from 2018-01-01 to 2019-01-01 to better capture focus on junior editors.

  • Edits to talk-pages seem to create additional edits to subject-pages (buy-2, get-1 for free)
  • Predicting future editing activity based on previous edits to different namespaces:
    • Edits to user-talk pages have a negative effect on the number of future edits to the main namespace (enwiki)
    • For other wikis, no such negative effect can be found and article-talk pages play a more important role

Detailed write-up:
https://meta.wikimedia.org/wiki/Research:Usage_of_talk_pages/2019-11-11